Fehler beim Update [ Manjaro32 ] - ungültiges oder beschädigtes Paket - Signatur

Tag zusammen ,
irgend was läuft falsch 2

Hallo,

schau mal hier, der Befehl pacman gibt dir eine genauere Fehlerausgabe.

Ich würde mal mit
pacman -Sy
oder
pacman -Syy

beginnen

[user@user-pc ~]$ pacman -Sy
Fehler: Sie benötigen Root-Rechte, um diese Operation auszuführen.
[user@user-pc ~]$ sudo pacman -Sy
[sudo] Passwort für user: 
:: Synchronisiere Paketdatenbanken...
 core ist aktuell
 extra ist aktuell
 community ist aktuell
[user@user-pc ~]$ pacman -Syy
Fehler: Sie benötigen Root-Rechte, um diese Operation auszuführen.
[user@user-pc ~]$ sudo pacman -Syy
:: Synchronisiere Paketdatenbanken...
 core                     188,6 KiB   302K/s 00:01 [######################] 100%
 extra                                                        2,3 MiB   382K/s 00:06 [################################################] 100%
 community                                                    5,2 MiB   302K/s 00:18 [################################################] 100%
[user@user-pc ~]$ 

Nicht zu vergessen u, sonst starett das Update natürlich nicht :smiley:

pkexec pacman -Syyu

Was mir aber auffällt, du hast gar kein miltilib repo. Manjaro32bit?

Wegen fehlender miltlib repo.Manjaro 32bit glaube was vepast zu haben .
hier Fehlerbericht :

[user@user-pc ~]$ pkexec pacman -Syyu
:: Synchronisiere Paketdatenbanken...
 core                     188,4 KiB   656K/s 00:00 [######################] 100%
 extra                      2,3 MiB   748K/s 00:03 [######################] 100%
 community                  5,2 MiB   626K/s 00:08 [######################] 100%
:: Starte vollständige Systemaktualisierung...
:: pkg-config durch core/pkgconf ersetzen? [J/n] j
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (284) alsa-firmware-1.0.29-2.0  appstream-glib-0.7.7-2.0
             archlinux32-keyring-20180603-1.0  b43-fwcutter-019-2.0
             babl-0.1.50+5+g7af0e8c-1.0  bash-4.4.023-1  binutils-2.30-5.0
             bison-3.0.5-1.0  blas-3.8.0-2.1  bluez-5.50-3.0
             bluez-libs-5.50-3.0  boost-libs-1.67.0-4.0  btrfs-progs-4.16.1-2.0
             ca-certificates-mozilla-3.37.3-1.0  cdparanoia-10.2-7.0
             celt0.5.1-0.5.1.3-4.0  cinnamon-3.8.4-1.0
             cinnamon-menus-3.8.2-1.0  cinnamon-screensaver-3.8.2-1.0
             cinnamon-settings-daemon-3.8.3-1.0  cinnamon-sounds-5.7-1
             cinnamon-translations-3.8.1-1.0  clucene-2.3.3.4-10.0
             cmake-3.11.3-1.0  cryptsetup-2.0.3-2.1  db-5.3.28-4.0
             dcraw-9.28.0-1.0  dmraid-1.0.0.rc16.3-11.0  docbook-xml-4.5-7.0
             ffmpeg-1:4.0-3.0  fftw-3.3.8-1.0  file-5.33-3.0  firefox-60.0.2-0
             gamin-0.1.10-9.0  gcc-8.1.1+20180531-1.0
             gcc-libs-8.1.1+20180531-1.0  gcolor2-0.4-8.0
             gegl-0.4.2+14+g190a81b4a-1.0  git-2.17.1-1.0  glibc-2.27-3.2
             glu-9.0.0-5.0  gnupg-2.2.8-1.0  gst-plugins-bad-1.14.1-2.0
             gst-plugins-good-1.14.1-1.0  gvfs-1.36.2-2.0  gvfs-afc-1.36.2-2.0
             gvfs-goa-1.36.2-2.0  gvfs-gphoto2-1.36.2-2.0  gvfs-mtp-1.36.2-2.0
             gvfs-smb-1.36.2-2.0  harfbuzz-1.8.1-1.0  harfbuzz-icu-1.8.1-1.0
             hwinfo-21.53-1.0  hyphen-2.8.8-2.0  hyphen-de-20060120-4.0
             hyphen-en-2.8.8-2.0  icon-naming-utils-0.8.90-4.0
             ilmbase-2.2.1-3.0  imagemagick-7.0.8.0-1.0
             intel-tbb-2018_20180312-1.0  inxi-3.0.10-2  iproute2-4.17.0-1.0
             jfsutils-1.1.15-5.0  json-c-0.13.1-1.0  keyutils-1.5.10-2.0
             kmod-25-1.0  ladspa-1.13-7.0  lapack-3.8.0-2.1  ldb-1.3.3-1.0
             lensfun-0.3.2-6  libarchive-3.3.2-2.0  libatasmart-0.19-4.0
             libbsd-0.9.1-1.0  libbytesize-1.3-1.0  libcmis-0.5.1-9.0
             libdaemon-0.14-4.0  libelf-0.171-1.0  libepubgen-0.1.1-1.0
             libfbclient-2.5.8.27089-1.0  libfontenc-1.1.3-2.0
             libgcrypt-1.8.3-1.0  libglade-2.6.4-6.0
             libgnome-keyring-3.12.0-3.0  libid3tag-0.15.1b-9.0
             libidn2-2.0.5-1.0  libiec61883-1.2.0-5.0  libieee1284-0.2.11-7.0
             libinput-1.11.0-1.0  libixion-0.13.0-2.0  libkate-0.4.1-6.0
             liblqr-0.4.2-2.0  libmad-0.15.1b-8.0  libmagick-7.0.8.0-1.0
             libmm-glib-1.8.0-1.0  libmng-2.0.3-2.0  libmp4v2-2.0.0-5.0
             libmpeg2-0.5.1-6.0  libmusicbrainz5-5.1.0-3.0
             libmypaint-1.3.0-6.0  libnfnetlink-1.0.1-3.0  libnftnl-1.1.0-1.0
             libodfgen-0.1.6-2.0  libomxil-bellagio-0.9.3-2.0
             liborcus-0.13.4-2.0  libpgm-5.2.122-3.0  libquvi-0.9.4-5.0
             libquvi-scripts-0.9.20131130-4.0  libraw-0.18.12-1.0
             libreoffice-fresh-6.0.4-2.0  librevenge-0.0.4-2.0
             librsvg-2:2.42.5-1.0  libsm-1.2.2-3.0  libspiro-1:0.5.20150702-2.0
             libstaroffice-0.0.6-1.0  libsystemd-238.133-1.0  libtar-1.2.20-4.0
             libtiger-0.3.4-5.0  libtool-2.4.6+40+g6ca5e224-7.0
             libunistring-0.9.10-1.0  libusb-compat-0.1.5-2.0
             libutempter-1.1.6-3.0  libutf8proc-1.3.1_3-2.0
             libva-mesa-driver-18.1.1-1.1  libwbclient-4.8.2-1.0
             libx264-2:152.20171224-2.1  libx264-all-2:152.20171224-2.1
             libxaw-1.0.13-2.0  libxcomposite-0.4.4-3.0  libxdmcp-1.1.2-2.0
             libxext-1.3.3-2.0  libxft-2.3.2-2.0  libxinerama-1.1.3-3.0
             libxkbfile-1.0.9-2.0  libxmu-1.1.2-2.0  libxss-1.2.2-3.0
             libxt-1.1.5-2.0  libxxf86dga-1.1.4-2.0  libxxf86vm-1.1.4-2.0
             lightdm-slick-greeter-1.2.0-1  linux-firmware-20180525.7518922-1
             linux49-4.9.107-2  lm_sensors-3.4.0-4.0  lua52-expat-1.3.0-4.0
             lua52-lpeg-1.0.1-2.0  lz4-1:1.8.2-2.0
             manjaro-cinnamon-settings-20180530-1
             manjaro-settings-manager-0.5.4-14
             manjaro-settings-manager-notifier-0.5.4-14
             mate-desktop-1.20.3-1.0  mesa-18.1.1-1.1  metis-5.1.0.p3-1
             mkinitcpio-busybox-1.28.4-1.0  modemmanager-1.8.0-1.0
             mozilla-common-1.4-5.0  mtdev-1.1.5-2.0  muffin-3.8.2-1.0
             nano-2.9.8-1.0  ndctl-60.3-2.0  nemo-3.8.3-1.0
             network-manager-applet-1.8.12-2.0
             networkmanager-dispatcher-ntpd-1.0-7.0  nfs-utils-2.3.2-2.0
             nfsidmap-2.3.2-2.0  nm-connection-editor-1.8.12-2.0
             nodejs-10.4.1-1.0  npm-6.1.0-1.0  nss-3.37.3-1.0
             nss-mdns-0.10-7.0  numlockx-1.2-4.0  p11-kit-0.23.12-1.0
             p7zip-16.02-5.0  package-query-1.9-2  pacman-5.1.0-2
             pamac-6.4.0-1  pcmciautils-018-8.0  perl-error-0.17026-1.0
             pix-1.8.1-1  pkcs11-helper-1.23-1.0
             pkg-config-0.29.2-1.2 [Entferne]  pkgconf-1.4.2-2.0
             polkit-gnome-0.105-4.0  procps-ng-3.3.15-1.2
             pulseaudio-alsa-2-4.0  pygobject-devel-3.28.3-1.0
             python-gobject-3.28.3-1.0  python-idna-2.7-2.0
             python-keyutils-0.5-2.0  python-msgpack-0.5.6-1.0
             python-pexpect-4.6.0-1.0  python-psutil-5.4.6-1.0
             python-pycurl-7.43.0.2-1.0  python-requests-2.18.4-4.0
             python-setuptools-1:39.2.0-2.0  python-urllib3-1.23-1.0
             python2-cachecontrol-0.12.4-1.0  python2-chardet-3.0.4-1
             python2-colorama-0.3.9-1  python2-distlib-0.2.7-1.0
             python2-distro-1.3.0-1.0  python2-gobject-3.28.3-1.0
             python2-html5lib-1.0.1-2.0  python2-idna-2.7-2.0
             python2-ipaddress-1.0.22-1.0  python2-lockfile-0.12.2-2
             python2-msgpack-0.5.6-1.0  python2-pexpect-4.6.0-1.0
             python2-pip-10.0.1-1.0  python2-progress-1.3-2.0
             python2-pytoml-0.1.15-1.0  python2-requests-2.18.4-4.0
             python2-retrying-1.3.3-3  python2-setuptools-1:39.2.0-2.0
             python2-urllib3-1.23-1.0  python2-webencodings-0.5.1-1
             qemu-2.12.0-1.2  qt5-base-5.11.0-1.0
             qt5-styleplugins-5.0.0.20170311-6.01  qt5-svg-5.11.0-1.0
             qt5-tools-5.11.0-1.01  qt5-translations-5.11.0-1.0
             qt5-x11extras-5.11.0-1.0  qt5ct-0.35-2.0  readline-7.0.005-1.0
             rubberband-1.8.2-1.0  run-parts-4.8.6-1.0  rust-1:1.26.2-1.0
             samba-4.8.2-1.0  sbc-1.3-2.0  schroedinger-1.0.11-4.0
             smbclient-4.8.2-1.0  sound-theme-freedesktop-0.8-3.0
             source-highlight-3.1.8-15.0  spandsp-0.0.6-2.0
             speexdsp-1.2rc3-3.0  splix-2.0.0-14.0  sqlite-3.24.0-1.0
             squashfs-tools-4.3-5.0  subversion-1.10.0-2.0
             suitesparse-5.2.0-1.0  systemd-238.133-1.0
             systemd-sysvcompat-238.133-1.0  telepathy-glib-0.24.1-2.0
             ttf-indic-otf-0.2-9.0  udiskie-1.7.5-1.0
             vamp-plugin-sdk-2.7.1-2.0  vi-1:070224-3.0  vid.stab-1.1-2.0
             vim-8.1.0022-1.0  vim-runtime-8.1.0022-1.0
             vlc-nightly-3.0.3v20180520-1  volume_key-0.3.10-1.0
             vulkan-intel-18.1.1-1.1  webkit2gtk-2.20.3-1.0  wmctrl-1.07-5.0
             x265-2.8-1.0  xcb-util-0.4.0-2.0  xcb-util-image-0.4.0-2.0
             xcb-util-keysyms-0.4.0-2.0  xcb-util-renderutil-0.3.9-2.0
             xcb-util-wm-0.4.1-2.0  xdg-utils-1.1.3-2.0  xed-1.8.1-1
             xf86-input-evdev-2.10.6-1.0  xfsprogs-4.16.1-1.0
             xkeyboard-config-2.24-1.0  xmlsec-1.2.26-1.0
             xorg-font-util-1.3.1-2.0  xorg-font-utils-7.6-5.0
             xorg-fonts-alias-1.0.3-2.0  xorg-fonts-encodings-1.0.4-5.0
             xorg-luit-1.1.1-3.0  xorg-server-1.20.0-5.01
             xorg-server-common-1.20.0-5.01  xorg-setxkbmap-1.3.1-2.0
             xorg-xdpyinfo-1.3.2-2.0  xorg-xkbcomp-1.4.2-1.0
             xorg-xmodmap-1.0.9-2.0  xplayer-1.8.1-1  xviewer-1.8.1-1
             yajl-2.1.0-2.0  yaourt-1.9-2  zip-3.0-8.0
             zita-alsa-pcmi-0.2.0-4.0  zvbi-0.2.35-2.0

Gesamtgröße des Downloads:             65,65 MiB
Gesamtgröße der installierten Pakete:  2686,37 MiB
Größendifferenz der Aktualisierung:   136,25 MiB

:: Installation fortsetzen? [J/n] j
:: Empfange Pakete...
 libgcrypt-1.8.3-1.0...   468,7 KiB   554K/s 00:01 [######################] 100%
 json-c-0.13.1-1.0-i686    47,2 KiB   278K/s 00:00 [######################] 100%
 cryptsetup-2.0.3-2....   339,7 KiB   398K/s 00:01 [######################] 100%
 jfsutils-1.1.15-5.0...   195,5 KiB  1105K/s 00:00 [######################] 100%
 harfbuzz-1.8.1-1.0-i686  460,9 KiB   933K/s 00:00 [######################] 100%
 mesa-18.1.1-1.1-i686      13,9 MiB   797K/s 00:18 [######################] 100%
 xkeyboard-config-2....   671,2 KiB   959K/s 00:01 [######################] 100%
 harfbuzz-icu-1.8.1-...     7,8 KiB  1295K/s 00:00 [######################] 100%
 firefox-60.0.2-0-i686     38,6 MiB   945K/s 00:42 [######################] 100%
 libmagick-7.0.8.0-1...     2,1 MiB   994K/s 00:02 [######################] 100%
 imagemagick-7.0.8.0...   139,2 KiB  1232K/s 00:00 [######################] 100%
 libfbclient-2.5.8.2...     2,6 MiB  1187K/s 00:02 [######################] 100%
 libva-mesa-driver-1...  1956,7 KiB  1063K/s 00:02 [######################] 100%
 xcb-util-renderutil...     9,6 KiB   687K/s 00:00 [######################] 100%
 xdg-utils-1.1.3-2.0-any   55,8 KiB   641K/s 00:00 [######################] 100%
 p7zip-16.02-5.0-i686                                      1390,4 KiB   415K/s 00:03 [################################################] 100%
 yajl-2.1.0-2.0-i686                                         38,9 KiB  75,7K/s 00:01 [################################################] 100%
 python-idna-2.7-2.0-any                                     78,0 KiB  78,3K/s 00:01 [################################################] 100%
 python-requests-2.18.4-4.0-any                              96,1 KiB  65,2K/s 00:01 [################################################] 100%
 python2-idna-2.7-2.0-any                                    80,9 KiB  67,2K/s 00:01 [################################################] 100%
 python2-requests-2.18.4-4.0-any                             92,5 KiB  74,3K/s 00:01 [################################################] 100%
 qt5-svg-5.11.0-1.0-i686                                    144,0 KiB   236K/s 00:01 [################################################] 100%
 vulkan-intel-18.1.1-1.1-i686                               968,1 KiB   779K/s 00:01 [################################################] 100%
 xf86-input-evdev-2.10.6-1.0-i686                            33,1 KiB  1104K/s 00:00 [################################################] 100%
 rubberband-1.8.2-1.0-i686                                  163,3 KiB  1142K/s 00:00 [################################################] 100%
 xviewer-1.8.1-1-i686                                      1208,8 KiB  1170K/s 00:01 [################################################] 100%
(283/283) Prüfe Schlüssel im Schlüsselring                                           [################################################] 100%
(283/283) Überprüfe Paket-Integrität                                                 [################################################] 100%
Fehler: json-c: signature from "Tyler Dence (Build Key) <tyzoid@archlinux32.org>" is marginal trust
:: Datei /var/cache/pacman/pkg/json-c-0.13.1-1.0-i686.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: jfsutils: signature from "Tyler Dence (Build Key) <tyzoid@archlinux32.org>" is marginal trust
:: Datei /var/cache/pacman/pkg/jfsutils-1.1.15-5.0-i686.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: xcb-util-renderutil: signature from "Tyler Dence (Build Key) <tyzoid@archlinux32.org>" is marginal trust
:: Datei /var/cache/pacman/pkg/xcb-util-renderutil-0.3.9-2.0-i686.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: p7zip: signature from "Tyler Dence (Build Key) <tyzoid@archlinux32.org>" is marginal trust
:: Datei /var/cache/pacman/pkg/p7zip-16.02-5.0-i686.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: yajl: signature from "Tyler Dence (Build Key) <tyzoid@archlinux32.org>" is marginal trust
:: Datei /var/cache/pacman/pkg/yajl-2.1.0-2.0-i686.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] 

@anon35400795: Ich kann auch noch etwas lernen! Den Befehl pkexec kannte ich bisher noch nicht habe hierfür immer mit sudo verwendet. (ich komme von Kubuntu).

@untymedia: der Befehl sudo fürt den nachfolgenden Befehl aus admin (super user) aus (siehe arch wiki oder ubuntuusers.de. Bei den Ubuntu Artikel kann du nicht alles 1:1 auf Arch oder Manjaro übertragen.

Web Commic zu sudo

Gut, das ist Manjaro32. Wie du da an die Schlüssel kommst weiß ich leider nicht. Einfach mal im Internationalem Raum fragen und Manjaro32 mit in den Titel schreiben :wink:

@mepi0011 pkexec macht nichts anderes als sudo, es nutzt nur polkit um die nötigen Rechte zu holen, oder zu verweigern. Es ist sogesehen einfach feiner "granulierbar" als sudo.

First,

sudo pacman -S archlinux32-keyring

and if no better,

sudo pacman-key --refresh-keys

then try pacman -Syu again.

2 Likes

Super !! es hat geklappt , das Icon ist jetzt grau und meldet aktuellsten stand ,
Vielen Dank.

8 posts were split to a new topic: Icon für Updates wird nicht rot

A post was split to a new topic: Verzeichnis-Berechitungen unterscheiden sich. Dateisystem: 755, Paket: 700

Ordnung muss sein! Neues Problem - neues Thema eröffnen!

Forum kindly sponsored by